org.apache.ignite.internal

## Annotation Type GridDirectMap

    @Retention(value=RUNTIME)
    @Target(value=FIELD)
    public @interface GridDirectMap

Annotates map fields.

### Required Element Summary

Required Elements
`Class<?>` `keyType`
`Class<?>` `valueType`

### Element Detail

#### keyType

    public abstract Class<?> keyType

Returns:
  Key type.

#### valueType

    public abstract Class<?> valueType

Returns:
  Value type.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015